aboutsummaryrefslogtreecommitdiffstats
path: root/git-tools/hooks
diff options
context:
space:
mode:
authorIgor Wiedler <igor@wiedler.ch>2010-09-09 00:20:38 +0200
committerIgor Wiedler <igor@wiedler.ch>2010-09-09 00:20:38 +0200
commit2e891c5eba78d68796dc6854d5805af2e3978641 (patch)
treecc51bd617b75451a8e67c80a685c2cbc8e864032 /git-tools/hooks
parent1b3b79b694918bd30a0bbac2a5f34553aaa15cb5 (diff)
parente08e1e0d9a7c529dbec47705beb2a7384a0e4300 (diff)
downloadforums-2e891c5eba78d68796dc6854d5805af2e3978641.tar
forums-2e891c5eba78d68796dc6854d5805af2e3978641.tar.gz
forums-2e891c5eba78d68796dc6854d5805af2e3978641.tar.bz2
forums-2e891c5eba78d68796dc6854d5805af2e3978641.tar.xz
forums-2e891c5eba78d68796dc6854d5805af2e3978641.zip
Merge branch 'task/cs278/git-tools' into develop-olympus
* task/cs278/git-tools: [task/git-tools] Change the GNU --lines argument to the POSIX -l [task/git-tools] Solve dependency on the GNU wc --max-line-length option
Diffstat (limited to 'git-tools/hooks')
-rwxr-xr-xgit-tools/hooks/commit-msg9
1 files changed, 5 insertions, 4 deletions
diff --git a/git-tools/hooks/commit-msg b/git-tools/hooks/commit-msg
index d6ad57a38a..a6777ff9c9 100755
--- a/git-tools/hooks/commit-msg
+++ b/git-tools/hooks/commit-msg
@@ -55,16 +55,17 @@ quit()
fi
}
-if [ "$(wc --max-line-length "$1" | cut -f1 -d" ")" -gt 80 ]
+msg=$(grep -nE '.{81,}' "$1");
+
+if [ $? -eq 0 ]
then
echo "The following lines are greater than 80 characters long:\n" >&2;
-
- grep -nE '.{81,}' "$1" >&2;
+ echo $msg >&2;
quit $ERR_LENGTH;
fi
-lines=$(wc --lines "$1" | cut -f1 -d" ");
+lines=$(wc -l "$1" | awk '{ print $1; }');
expecting=header;
in_description=0;
in_empty=0;